diff --git a/pgadmin/dlg/dlgClasses.cpp b/pgadmin/dlg/dlgClasses.cpp
index 9a3e473..642ee53 100644
--- a/pgadmin/dlg/dlgClasses.cpp
+++ b/pgadmin/dlg/dlgClasses.cpp
@@ -364,7 +364,12 @@ void pgFrame::SavePosition()
 	if (!IsIconized())
 	{
 #endif
-		settings->WriteSizePoint(dlgName, GetSize(), GetPosition());
+		wxPoint pos = GetPosition();
+		if (pos.x < 0)
+			pos.x = 0;
+		if (pos.y < 0)
+			pos.y = 0;
+		settings->WriteSizePoint(dlgName, GetSize(), pos);
 		settings->WriteBool(dlgName + wxT("/Maximized"), IsMaximized());
 #ifndef __WXGTK__
 	}
